
QGIS Application - Bug report #9070

+towgs84 wrongly ignored when OTF reprojection is on and project CRS is WGS84 Pseudo-Mercator 

(EPGS: 3857)  

2013-11-15 11:14 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17716

Description

Issue seems to have appeared following the (cool) datum transformation commits. Steps to reproduce:

1. Create a new project

2. Load the roads_partial-indian1960_48n shapefile

3. Open the project property, set OTF reprojection to on and the project CRS to EPSG:3857

4. Load the roads_partial-wgs84 shapefile

5. You'll notice a 500m shift between the two layers, when those two layers should be identically placed on top of each other

The 500m shift is what happens when the +towgs84 parameter is not applied (I learned that from an much older bug :) ). The reprojection

issue here won't happen if you repeat the above steps but set the project projection to WGS84.

This is a pretty impactful issue here as it affects @the openlayers plugin (which sets the projection to EPGS:3857). Confirmed over here

on two linux machines and windows.

Associated revisions

Revision 51006cea - 2013-11-18 01:51 PM - Marco Hugentobler

Fix #9070

History

#1 - 2013-11-16 02:34 AM - Marco Hugentobler

- Assignee set to Marco Hugentobler

#2 - 2013-11-16 08:45 AM - Marco Hugentobler

Maybe a problem with the null grid parameter that is removed now. Looking into that problem on Monday.

Do know which of the two layers is misplaced?

#3 - 2013-11-16 04:44 PM - Mathieu Pellerin - nIRV

- Target version changed from Version 2.0.0 to Future Release - High Priority

Marco,

I think the indian 1960 48n layer is the one being misplaced/misprojected, based on fact that if you load that shapefile, then add a openlayers' google

satellite imagery layer, you'll notice the vector layer is clearly 500m to the southeast of where it should be. Steps to reproduce that:
0. Download and activate the openlayers plugin

1. Create a new project

2. Load the roads_partial-indian1960_48n shapefile

3. Add a google satellite imagery layer via openlayers (it'll activate OTF reprojection and change CRS to EPGS:3857

(If the google layer shows the whole world, just zoom in and out once)

4. You'll notice a 500m shift between the two layers, when the visible roads on the google layer should match the vector layer

#4 - 2013-11-18 04:53 AM - Marco Hugentobler

- Status changed from Open to Closed

Fixed in changeset commit:"51006cea1f2959b0e659a8ee07577632dc3c2753".

#5 - 2013-11-19 01:56 AM - Mathieu Pellerin - nIRV

Marco, thanks, glad this was uncovered and fixed early on :)

Files

roads_partial-indian1960_48n.zip 68 KB 2013-11-15 Mathieu Pellerin - nIRV

roads_partial-wgs84.zip.zip 65.2 KB 2013-11-15 Mathieu Pellerin - nIRV
